@Echo Off
REM  Check to make sure the correct files are here
Echo Checking for necessary files...
If not Exist QM43.ZIP     goto WrongDir
If not Exist QM43#1.ZIP   goto WrongDir
If not Exist QM43#2.ZIP   goto WrongDir
If not Exist QM43#3.ZIP   goto WrongDir
If not Exist QM43#4.ZIP   goto WrongDir
If not Exist QM42to43.ZIP goto WrongDir
If not Exist Q43to431.ZIP goto NoUpgradeZip

Echo Create the work directory
Md QWORKQ

Echo Unzipping master file to the work directory
PKUnZip  Q43TO431 QWORKQ > nul

Echo Updating Disk #1
PKZIP -f QM43#1 QWORKQ\*.* > nul
PKZIP -d QM43#1 *.43 > nul
PKZIP -a qm43#1 qworkq\*.431 > nul

Echo Updating Disk #2
PKZIP -f QM43#2 QWORKQ\*.* > nul

Echo Updating Disk #3
PKZIP -f QM43#3 QWORKQ\*.* > nul
PKZIP -a QM43#3 QWORKQ\v*.* QWORKQ\QMFONCNV.EXE QWORKQ\*.DVP  > nul

Echo Updating QM42TO43.ZIP
PKZIP -f QM42TO43 QWORKQ\*.* > nul
PKZIP -d QM42TO43 *.43 > nul
PKZIP -a QM42TO43 QWORKQ\*.431 > nul
PKZIP -a QM42TO43 QWORKQ\v*.* QWORKQ\QMFONCNV.EXE QWORKQ\*.DVP  > nul

Echo Renaming files
REN QM43#1.ZIP QM431#1.ZIP
REN QM43#2.ZIP QM431#2.ZIP
REN QM43#3.ZIP QM431#3.ZIP
REN QM43#4.ZIP QM431#4.ZIP
REN QM42TO43.ZIP Q42TO431.ZIP

Echo Creating QM431.ZIP
DEL QM43.ZIP
PKZIP -a QM431 QM431#1.ZIP QM431#2.ZIP QM431#3.ZIP QM431#4.ZIP > nul

Echo Cleaning up Q43TO431.ZIP
PKZIP -d Q43TO431 ZAP431.ZIP README.DIS > nul

Echo Deleting files in the work directory, and then the directory.
Echo Y|Del QWORKQ\*.*
Echo Deleting the work directory.
RD QWORKQ
Echo.
Echo File Discriptions
Echo -----------------------------------------------
Echo QM431.ZIP       Complete 4.31 version
Echo QM431#1.ZIP     Disk 1 of 4 Qmodem version 4.31
Echo QM431#2.ZIP     Disk 2 of 4 Qmodem version 4.31
Echo QM431#3.ZIP     Disk 3 of 4 Qmodem version 4.31
Echo QM431#4.ZIP     Disk 4 of 4 Qmodem version 4.31
Echo Q42TO431.ZIP    Upgrade version 4.2 to 4.31
Echo Q43TO431.ZIP    Upgrade version 4.3 to 4.31
Goto DoneOK

:WrongDir
Echo.
Echo You are running this Batch file from the wrong directory.  You should
Echo start this from the DIR where you store the Qmodem 4.3 Download files.
Goto Done

:NoUpgradeZip
Echo The file Q43TO431.ZIP must also be in this directory to run the ZAP.

:DoneOK
Echo.
Echo ZAP Completed!

:Done
